.\" $NetBSD: ppi.4,v 1.3 2004/01/23 15:49:41 wiz Exp $
.\"
.\" Copyright (c) 1997
.\"      Michael Smith
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer as
.\"    the first lines of this file unmodified.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS''
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE
.\" LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/ppi.4,v 1.4.2.7 2001/12/17 11:30:12 ru Exp $
.\"
.Dd December 29, 2003
.Dt PPI 4
.Os
.Sh NAME
.Nm ppi
.Nd "user-space interface to ppbus parallel port"
.Sh SYNOPSIS
.Cd "ppi* at ppbus?"
.Pp
Minor numbering:  Unit numbers correspond directly to
.Xr ppbus 4
numbers.
.Sh DESCRIPTION
The
.Nm
driver provides a convenient means for user applications to manipulate
the state of the parallel port, enabling easy low-speed I/O operations
without the security problems inherent with the use of the
.Pa /dev/io
interface.
.Pp
The programming interface is described in
.Xr ppi 9 .
.Sh SEE ALSO
.Xr atppc 4 ,
.Xr io 4 ,
.Xr ppbus 4 ,
.Xr ppi 9
.Sh HISTORY
.Nm
originally appeared in
.Fx .
.Sh AUTHORS
This manual page is based on the
.Fx
.Nm ppi
manual page and was updated for the
.Nx
port by
.An Gary Thorpe .
.Sh BUGS
The inverse sense of signals is confusing.
.Pp
The
.Fn ioctl
interface is slow, and there is no way (yet) to chain multiple
operations together.
.Pp
The headers required for user applications are not installed as
part of the standard system.
